package com.qmth.teachcloud.common.bean.result;

import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import com.qmth.teachcloud.common.bean.params.ApproveUserResult;
import io.swagger.annotations.ApiModelProperty;

import java.io.Serializable;
import java.util.List;

/**
 * @Description: 角色组成员返回
 * @Param:
 * @return:
 * @Author: wangliang
 * @Date: 2022/3/9
 */
public class SysRoleGroupMemberMatchResult implements Serializable {

    @ApiModelProperty(value = "是否手动选择，true：是，false：不是")
    boolean manual = false;

    @ApiModelProperty(value = "人员信息")
    List<ApproveUserResult> approveUserResultList;

    @ApiModelProperty(value = "id信息")
    @JsonSerialize(using = ToStringSerializer.class)
    List<Long> sysRoleGroupMemberIdList;

    public SysRoleGroupMemberMatchResult() {

    }

    public SysRoleGroupMemberMatchResult(List<ApproveUserResult> approveUserResultList, List<Long> sysRoleGroupMemberIdList) {
        this.approveUserResultList = approveUserResultList;
        this.sysRoleGroupMemberIdList = sysRoleGroupMemberIdList;
    }

    public SysRoleGroupMemberMatchResult(boolean manual, List<ApproveUserResult> approveUserResultList, List<Long> sysRoleGroupMemberIdList) {
        this.manual = manual;
        this.approveUserResultList = approveUserResultList;
        this.sysRoleGroupMemberIdList = sysRoleGroupMemberIdList;
    }

    public boolean isManual() {
        return manual;
    }

    public void setManual(boolean manual) {
        this.manual = manual;
    }

    public List<ApproveUserResult> getApproveUserResultList() {
        return approveUserResultList;
    }

    public void setApproveUserResultList(List<ApproveUserResult> approveUserResultList) {
        this.approveUserResultList = approveUserResultList;
    }

    public List<Long> getSysRoleGroupMemberIdList() {
        return sysRoleGroupMemberIdList;
    }

    public void setSysRoleGroupMemberIdList(List<Long> sysRoleGroupMemberIdList) {
        this.sysRoleGroupMemberIdList = sysRoleGroupMemberIdList;
    }
}
